%if %{undefined el8}
# pytest is too old in el8
%bcond_without  tests
%endif

Name:           uvalde
Version:        2.0.1
Release:        5%{?dist}
Summary:        Yum repository management tool
License:        MIT
URL:            https://github.com/carlwgeorge/uvalde
Source0:        %{url}/archive/%{version}/uvalde-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel >= 3.6
BuildRequires:  python3-setuptools >= 38.6.0
%if %{with tests}
BuildRequires:  python3-pytest >= 3.9
BuildRequires:  python3-repomd
%endif
# runtime deps needed for import check
BuildRequires:  python3-appdirs
BuildRequires:  python3-click
BuildRequires:  python3-createrepo_c
BuildRequires:  python3-libselinux
BuildRequires:  python3-peewee


%description
Uvalde is a simple CLI tool for managing yum repositories. There is no daemon
and no web interface, just a directory of yum repositories and a small sqlite
database to remember what RPMs were built from the same SRPM.


%prep
%autosetup
# disable flake8 and coverage pytest plugins
sed -e '/^addopts/d' -i setup.cfg


%build
%py3_build


%install
%py3_install


%check
%if %{with tests}
%pytest --verbose tests
%else
%py3_check_import uvalde
%endif


%files
%license LICENSE
%doc README.md
%{python3_sitelib}/uvalde
%{python3_sitelib}/uvalde-%{version}-py%{python3_version}.egg-info
%{_bindir}/uvalde


%changelog
* Tue Nov 29 2022 Carl George <carl@george.computer> - 2.0.1-5
- Run %%py3_check_import when tests are disabled

* Sat Aug 07 2021 Carl George <carl@george.computer> - 2.0.1-4
- Disable tests on EL8

* Sun May 02 2021 Carl George <carl@george.computer> - 2.0.1-3
- Rebuild for Fedora 34

* Sun May 03 2020 Carl George <carl@george.computer> - 2.0.1-2
- Rebuild for Fedora 32

* Wed Oct 23 2019 Carl George <carl@george.computer> - 2.0.1-1
- Latest upstream

* Wed Oct 23 2019 Carl George <carl@george.computer> - 2.0.0-2
- Remove bash completion file

* Sun Aug 25 2019 Carl George <carl@george.computer> - 2.0.0-1
- Latest upstream

* Fri Jun 14 2019 Carl George <carl@george.computer> - 1.1.1-1
- Initial package
